postgresql-autodoc_1.40-3_all.deb


Advertisement

Description

postgresql-autodoc - Utility to create a PostgreSQL database schema overview in HTML, DOT and XML

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main i386
Package name postgresql-autodoc
Package version 1.40
Package release 3
Package architecture all
Package type deb
Installed size 188 B
Download size 30.23 KB
Official Mirror ftp.br.debian.org
This is a utility which will run through PostgreSQL tables and returns HTML,
DOT, and 2 styles of XML which describes the database.
The HTML is human readable (via webbrowser). The first style of XML is
actually the fileformat of Dia, a UML diagram tool. The second type of XML is
similar to the HTML but in the Docbook 4 format. It enables you to mix in
other docbook documentation via the XREFs, generating PDFs, HTML, RTF, or
other formatted documents. Between these tools and JavaDoc with the
appropriate XREFs, documentation about a project can be generated quickly and
be easily updatable yet have a very professional look with some DSSSL work.

Alternatives

Package Version Architecture Repository
postgresql-autodoc_1.40-3_all.deb 1.40 all Debian Main
postgresql-autodoc - - -

Requires

Name Value
libdbd-pg-perl -
libhtml-template-perl -
libterm-readkey-perl -
perl -

Download

Type URL
Binary Package postgresql-autodoc_1.40-3_all.deb
Source Package postgresql-autodoc

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install postgresql-autodoc deb package:
    # sudo apt-get install postgresql-autodoc

Files

Path
/usr/bin/postgresql_autodoc
/usr/share/doc/postgresql-autodoc/changelog.Debian.gz
/usr/share/doc/postgresql-autodoc/changelog.gz
/usr/share/doc/postgresql-autodoc/copyright
/usr/share/man/man1/postgresql_autodoc.1.gz
/usr/share/postgresql_autodoc/dia.tmpl
/usr/share/postgresql_autodoc/dot.tmpl
/usr/share/postgresql_autodoc/html.tmpl
/usr/share/postgresql_autodoc/neato.tmpl
/usr/share/postgresql_autodoc/xml.tmpl
/usr/share/postgresql_autodoc/zigzag.dia.tmpl

Changelog

2010-01-28 - Tim Retout <diocles@debian.org>
postgresql-autodoc (1.40-3) unstable; urgency=low
* debian/control:
+ Update maintainer email address.
+ Add ${misc:Depends} to Depends field.
+ Bump Standards-Version to 3.8.4. (No changes needed.)
* debian/source/format: Use format 3.0 (quilt).
2009-10-31 - Tim Retout <tim@retout.co.uk>
postgresql-autodoc (1.40-2) unstable; urgency=low
* debian/control:
+ Update Standards-Version to 3.8.3. (No changes needed.)
+ Use quilt instead of dpatch in Build-Depends.
* debian/rules: include quilt makefile instead of dpatch.
* debian/patches/:
+ Rename '02_synopsis_correction.dpatch' to 'synopsis-correction'.
+ Use 'series' instead of '00list' file.
* debian/patches/synopsis-correction: Clean up description.
* debian/README.source: New file.
2009-07-17 - Tim Retout <tim@retout.co.uk>
postgresql-autodoc (1.40-1) unstable; urgency=low
[ Peter Eisentraut ]
* New upstream version. (Closes: #532614)
* debian/watch:
+ Fix to work with upstream web site.
* debian/rules:
+ Removed autoconf-related stuff that is no longer used.
* debian/copyright:
+ Update the years in the copyright field.
* debian/control:
+ Standards-Version bumped to 3.8.1 (no changes required).
[ Tim Retout ]
* debian/compat: Update compat level to 7.
* debian/control:
+ Build-Depend on debhelper 7.
+ Standards-Version bumped to 3.8.2.
+ Section is now 'database'.
* debian/rules: Use dh_prep, not dh_clean -k.
2008-05-02 - Tim Retout <tim@retout.co.uk>
postgresql-autodoc (1.31-1) unstable; urgency=low
* New upstream version.
+ Fixes compatibility with recent libdbd-pg-perl. (Closes: #469715)
* debian/rules:
+ Touch config.mk before running 'make distribution-clean', so that we
never try to use upstream's rule to create it.
+ config.sub and config.guess are unused by ./configure, so remove
altogether.
* debian/control: Remove build dependency on autotools-dev.
* Makefile: Remove change to config.mk creation rule from Debian diff.
2007-12-17 - Tim Retout <tim@retout.co.uk>
postgresql-autodoc (1.30-2) unstable; urgency=low
* New maintainer. (Closes: #439534)
* debian/compat: Bump debhelper compatibility level to 5.
* debian/control:
+ Bump Build-Depends on debhelper to at least version 5 (see above).
+ Add Build-Depends on autotools-dev, for config.sub and config.guess.
+ Change "PostrgreSQL" to "PostgreSQL" in description. (Closes: #447688)
+ Wrap long description to 80 characters.
+ Standards-Version bumped to 3.7.3 (no changes required).
+ Add new Homepage field.
+ Add new Vcs-* fields.
* debian/copyright:
+ Update the years in the copyright field.
+ Add new Debian maintainer.
* debian/rules:
+ Use RM="rm -f" in distclean line, and remove initial hyphen.
(Fixes lintian warning about ignoring distclean errors.)
+ Respect DEB_BUILD_GNU_TYPE and DEB_HOST_GNU_TYPE variables, using code
from autotools-dev documentation.
+ Remove config.sub, config.guess during clean.
* debian/patches/01_finish_on_undefined_value_fix.dpatch: Remove, since it
was disabled in the last upload.
* debian/patches/02_synopsis_correction.dpatch: Add a description of the
patch. (Fixes lintian warning about missing description.)
* config.sub, config.guess: Remove in favour of autotools-dev build-dep.
2007-01-28 - Tommaso Moroni <moronito@debian.org>
postgresql-autodoc (1.30-1) unstable; urgency=low
* New upstream release
* debian/patches: disabled patch 01_finish_on_undefined_value_fix.dpatch
since it is no longer needed.
* debian/control: added needed libterm-readkey-perl to the Build-Depends-Indep
* debian/control: Standards-Version bumped to 3.7.2 (no changes required)
* Corrected synopsis both in the usage print in the program and in the man page.
(Closes: #408505)
* debian/control: short description rephrased. Thanks to Peter Eisentraut for the help.
(Closes: #408498)

See Also

Package Description
postgresql-client-9.4_9.4.18-0+deb8u1_i386.deb front-end programs for PostgreSQL 9.4
postgresql-client-common_165+deb8u3_all.deb manager for multiple PostgreSQL client versions
postgresql-client_9.4+165+deb8u3_all.deb front-end programs for PostgreSQL (supported version)
postgresql-common_165+deb8u3_all.deb PostgreSQL database-cluster manager
postgresql-comparator_2.2.5-2_i386.deb efficient PostgreSQL table content comparison and synchronization
postgresql-contrib-9.4_9.4.18-0+deb8u1_i386.deb additional facilities for PostgreSQL
postgresql-contrib_9.4+165+deb8u3_all.deb additional facilities for PostgreSQL (supported version)
postgresql-doc-9.4_9.4.18-0+deb8u1_all.deb documentation for the PostgreSQL database management system
postgresql-doc_9.4+165+deb8u3_all.deb documentation for the PostgreSQL database management system
postgresql-filedump_9.3.0-2_i386.deb Utility to format PostgreSQL files
postgresql-plperl-9.1_9.1.22-0+deb8u1_i386.deb PL/Perl procedural language for PostgreSQL 9.1
postgresql-plperl-9.4_9.4.18-0+deb8u1_i386.deb PL/Perl procedural language for PostgreSQL 9.4
postgresql-plpython-9.4_9.4.18-0+deb8u1_i386.deb PL/Python procedural language for PostgreSQL 9.4
postgresql-plpython3-9.4_9.4.18-0+deb8u1_i386.deb PL/Python 3 procedural language for PostgreSQL 9.4
postgresql-pltcl-9.4_9.4.18-0+deb8u1_i386.deb PL/Tcl procedural language for PostgreSQL 9.4
Advertisement
Advertisement